hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mladen Turk (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDFS-4497) commons-daemon 1.0.3 dependency has bad group id causing build issues
Date Sat, 16 Feb 2013 06:55:13 GMT

    [ https://issues.apache.org/jira/browse/HDFS-4497?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13579736#comment-13579736
] 

Mladen Turk commented on HDFS-4497:
-----------------------------------

The 1.0.3 and 1.0.13 should be compatible. The API didn't change, at least for the part you
guys are using.
We added bunch of new features, but ensuring we don't mess with backward compatibility.

The reason for not shipping Linux binaries is the fact that we switched to more secure libcap,
and that lib can have different .so names across different Linux distros, so we cannot have
a generic one. However many distros already provide daemon binaries, and for the ones that
don't the build is simple 'configure && make install'.

Looking at the
branch-2/hadoop-hdfs-project/hadoop-hdfs/src/main/bin/hdfs
I see couple of things that can be improved, but basically that's fine and will work with
1.0.13. In any case eventual fix would be trivial since you don't use singnaling (SIG_USR2)
API inside SecureDataNodeStarter, and I'm ready to help you guys with that.
If you have have some nightly (or something like that) binaries I do a couple of smoke test
and come up with eventual fixes.

Like said I'd suggest you upgrade to more recent versions mainly for security reasons and
the fact that many linux distros already ship with contemporary versions.


                
> commons-daemon 1.0.3 dependency has bad group id causing build issues
> ---------------------------------------------------------------------
>
>                 Key: HDFS-4497
>                 URL: https://issues.apache.org/jira/browse/HDFS-4497
>             Project: Hadoop HDFS
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.0.2-alpha
>            Reporter: Sangjin Lee
>         Attachments: HDFS-4497.patch
>
>
> The commons-daemon dependency of the hadoop-hdfs module has been at version 1.0.3 for
a while. However, 1.0.3 has a pretty well-known groupId error in its pom ("org.apache.commons"
as opposed to "commons-daemon"). This problem has since been corrected on commons-daemon starting
1.0.4.
> This causes build problems for many who depend on hadoop-hdfs directly and indirectly,
however. Maven can skip over this metadata inconsistency. But other less forgiving build systems
such as ivy and gradle have much harder time working around this problem. For example, in
gradle, pretty much the only obvious way to work around this is to override this dependency
version.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message